5 Replies Latest reply on Nov 11, 2016 3:21 AM by XModem

    Virtual Machine policies too NEW

    XModem Enthusiast

      Hello everyone

       

      I've just got a lab installation of Horizon FLEX running and was creating a Windows 10 VM image using Workstation Pro 12. I selected Workstation 11 Compatibility when I created the VM and then encrypted the VM, added the Restrictions and the FLEX Management Server without issues. So far so good.

       

      Now when I pull the VM image from VMware Workstation Player 12 (also within a VM), then I get the message "This virtual machine's policies are too new to be run by this version of VMware". Note, there are so many entries for "too OLD" on the web, but I found nothing for "too NEW".


      Any ideas? VMware Workstation Pro I used has version 12.5.1. Could it be that I need a newer Player or an older version of Workstation Pro to build the image? And if yes, how and where would I get the newer Player? Or if older Workstation version, which one works with Player 12?


      Regards,

      Jonas

        • 1. Re: Virtual Machine policies too NEW
          williamz Enthusiast
          VMware Employees

          Hi,

           

          Could you give the detailed version number of the product you are using?

          The Workstation Pro 12, version #____, with which you created the Windows 10 image.

          The FLEX management server version #____, found in the lower right corner of the FLEX web manager brower window.

          The Workstation Player 12, version #____, as the FLEX client you used within a VM.

           

          Can this issue be produced when using the same version Player on physical host?

          We tried to reproduce using Workstation and Player 12.5.1 and FLEX 1.9 server, in nested VM or physical host, so far could not reproduce the issue.


          When this happening, can you upload screenshot, and the Player UI log, e.g., vmware-vmplayer-xxxx.log  found in %TEMP%\vmware-<userid>\ to help investigation.

           

          Thanks.

          William.Z

          • 2. Re: Virtual Machine policies too NEW
            XModem Enthusiast

            Hi,

             

            Thanks for your time.

             

            Workstation 12 Pro version: 12.5.1 build-4542065

            FLEX Management version: 5.5.2.10315

            Workstation 12 Player version: 12.0.0 build-2985596 (as offered within FLEX Client download)


            You mentioned your Player would be 12.5.1 too? If so, this could be the issue. I'll check if I find outside of the Horizon FLEX download links a newer version of the Player.

            • 3. Re: Virtual Machine policies too NEW
              williamz Enthusiast
              VMware Employees

              Hi,

               

              I am using whole new version of VMware Horizon FLEX release: 1.9. (Mirage 5.8.1, Player 12.5.1, Fusion 8.5.1)

              To access/download the 1.9 client/server binary: https://my.vmware.com/group/vmware/info/slug/desktop_end_user_computing/vmware_horizon_flex/1_9

               

              In your case, you could consider: Firstly - 1) upgrade your Player client to 12.5.1 which is from the 1.9 release. It should work with older/your 5.5 server (FLEX 1.6), or, secondly, 2) upgrade both FLEX server and FLEX client (Player/Fusion).

              (However, older version FLEX Player/Fusion clients don't work with newer version of server.)

               

              Thanks for using.

               

              William.Z

              • 4. Re: Virtual Machine policies too NEW
                williamz Enthusiast
                VMware Employees

                Contd to my last post:

                If after upgrading to 12.5.1, opening the downloaded VM it shows something like "the VMID does not exist on server", please do a valid login by clicking on the FLEX server connection button, then reopen the VM. It should work.

                1 person found this helpful
                • 5. Re: Virtual Machine policies too NEW
                  XModem Enthusiast

                  Hi,

                   

                  Thanks for your answers.

                   

                  This latest update came an hour too late; I already deleted the VM and I had to re-download the entire VM via VPN, which obviously takes its time.

                   

                  But now the VM has downloaded and started as it should. Thanks for your hints. I don't know how I got hold of the outdated Workstation Player, I was convinced I had it downloaded from the Horizon FLEX Client downloads.

                   

                  - Jonas